Автор Тема: [РЕШЕНО] Установка последней стабильной версии i3 в squeeze  (Прочитано 1805 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн buddy

  • Новичок форума
  • Topic Author
  • Сообщений: 2
Здравствуйте!

Подскажите, как правильно установить свежий i3 (http://i3wm.org - текущая версия 4.1.1) в stable, не переходя на testing или unstable? Сначала хотел поставить его из sid, но он тянет много обновлений своих зависимостей, чего делать бы не хотелось. Может где-то есть backport в squeeze?

На их сайте по этому поводу вот что написано http://i3wm.org/docs/repositories.html:
Цитировать
You are using Debian stable

The latest version of i3 will be in Debian testing quite soon. The version in Debian stable can be old, however (we cannot update it after stable has been released). The best way is to add Debian testing and tell apt to prefer Debian stable. You should not use our repository.
« Последнее редактирование: 16 Январь 2012, 20:24:51 от Metrix »
 

Оффлайн Malaheenee

На худой конец можно сбэкпортить самому (если не боитесь - то идеален). Второй вариант - /etc/apt/preferences и пинить нужные пакеты.
Все мы где-то, когда-то и в чем-то были новичками.
 

Оффлайн Василий

  • Местный житель
  • ***
  • Сообщений: 137
Похожая история - Squeeze + KDE 4.6.2
        Всё, что ни происходит, всегда так, как нужно и только к лучшему.
 

Оффлайн buddy

  • Новичок форума
  • Topic Author
  • Сообщений: 2
Спасибо за рекомендации. Решил сделать backport, как описано здесь http://wiki.debian.org/SimpleBackportCreation. Получилось. Из-под него сейчас и пишу.  :)

С apt pinning сходу не получилось, а дальше разбираться пока не стал. Хотел уточнить, например, у пакета A в зависимостях находится пакет B с версией >= x.y.z. В текущей стабильной версии дистрибутива присутствует пакет B с версией < x.y.z. Можно ли, и насколько это правильно, с помощью apt pinning сделать так, чтобы установился пакет A, но зависимость B взялась из стабильной версии дистрибутива, т.е. условие "версия >= x.y.z" нарушилось? Понятно, что в общем случае это может привести к неработоспособности пакета A (если он зависит от функциональности, которой нет в более старой версии пакета B).

Который раз убеждаюсь в http://harmful.cat-v.org/software/dynamic-linking/:)
 

Теги:
 

Объеденить несколько фото в таблицу [GIMP] [РЕШЕНО]

Автор Angel_ok

Ответов: 2
Просмотров: 1103
Последний ответ 05 Февраль 2017, 11:44:05
от ogost
Артефакты вместо выбора пользователя… [РЕШЕНО]

Автор shok

Ответов: 23
Просмотров: 3489
Последний ответ 05 Февраль 2013, 21:24:03
от shok
[Решено] ошибся в dpkg --add-architecture

Автор TuisBoris

Ответов: 2
Просмотров: 1596
Последний ответ 24 Ноябрь 2018, 15:21:05
от TuisBoris
Установка firefox

Автор VQV

Ответов: 8
Просмотров: 4353
Последний ответ 05 Июль 2013, 17:02:04
от Brainey
[Решено] Не работает sudo в терминале.

Автор dima641

Ответов: 6
Просмотров: 1996
Последний ответ 11 Сентябрь 2014, 15:21:01
от dima641